{pkgs, ...}: {
  home-manager.users.steveej = _: {
    imports = [
      ../../../home-manager/configuration/graphical-fullblown.nix

      (_: {
        programs.chromium.extensions = [
          # can define host-specific extensions here
        ];
      })
    ];
  };

  services.teamviewer.enable = true;
  system.stateVersion = "20.09";

  # TODO: move this into home-manager
  environment.systemPackages = with pkgs.gnomeExtensions; [
    pop-shell
    vitals

    # TODO: currently not compatible
    # window-switcher-current-workspace-first
    # mmod-panel
  ];
}
